#pragma once

#include "CoreMinimal.h"
#include "CorePrestigeTierConfiguration.h"
#include "CorePrestigeMilestoneConfiguration.generated.h"

USTRUCT(BlueprintType)
struct FCorePrestigeMilestoneConfiguration
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FCorePrestigeTierConfiguration> PrestigeTiers;

public:
	DBDUIVIEWSCORE_API FCorePrestigeMilestoneConfiguration();
};

FORCEINLINE uint32 GetTypeHash(const FCorePrestigeMilestoneConfiguration) { return 0; }
